org.apache.tomcat.util.threads

## Class Constants

- java.lang.Object
- - org.apache.tomcat.util.threads.Constants

-     public final class Constants
      extends Object

  Static constants for this package.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_THREAD_RENEWAL_DELAY`
    `static boolean` | `IS_SECURITY_ENABLED` Has security been turned on?

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_THREAD_RENEWAL_DELAY

          public static final long DEFAULT_THREAD_RENEWAL_DELAY

      See Also:
        Constant Field Values

    - #### IS_SECURITY_ENABLED

          public static final boolean IS_SECURITY_ENABLED

      Has security been turned on?

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.